# Save cPanel account's log archive settings This function saves the account's log archive settings. You pass at least one of the , , or parameters. Endpoint: GET /LogManager/set_settings Version: 11.134.0.9 Security: BasicAuth ## Query parameters: - `archive_logs` (integer) Whether to archive log files to your home directory after the system processes statistics. * — Archive the logs. * — Do archive the logs. * This parameter defaults to the setting's value in the user's file. * If this file does exist, this parameter defaults to the key's value in the file. Enum: 0, 1 - `prune_archive` (integer) Whether to remove the previous month's archived logs from the at the end of each month. * — Remove the logs. * — Do remove the logs. * This parameter defaults to the setting's value in the user's file. * If this file doesn't exist, this parameter defaults to the key's value in the file. Enum: 0, 1 - `retention_days` (integer) The number of days to retain archived log files before automatic removal. * — Retain logs indefinitely. * — Clear the per-user override and revert to the server default. * Any positive integer — Retain logs for that many days. When not provided, the existing value is preserved. Example: 30 ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "set_settings" - `module` (string) The name of the module called. Example: "LogManager" - `result` (object) - `result.data` (any) - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * - Success. * - Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.